Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class GeneratedAdvisorMethodExecutionTransformer

    java.lang.Object
      org.jboss.aop.instrument.MethodExecutionTransformer
          org.jboss.aop.instrument.GeneratedAdvisorMethodExecutionTransformer

public class GeneratedAdvisorMethodExecutionTransformer
extends MethodExecutionTransformer

Used with GeneratedAdvisorInstrumentor

Version:
  $Revision$
Author:
  Kabir Khan

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.MethodExecutionTransformer
`MethodExecutionTransformer.MethodTransformation`

Field Summary

Fields inherited from class org.jboss.aop.instrument.MethodExecutionTransformer
`instrumentor, METHOD_INFO_CLASS_NAME`

Constructor Summary
`GeneratedAdvisorMethodExecutionTransformer(GeneratedAdvisorInstrumentor instrumentor)`

Method Summary
`protected boolean` | `addInfoAsWeakReference()`
`javassist.CtMethod` | `addMixinWrappersAndInfo(GeneratedAdvisorInstrumentor instrumentor, javassist.CtClass clazz, javassist.CtClass mixinClass, String initializer, javassist.CtClass genadvisor, javassist.CtMethod mixinMethod)`
`protected static javassist.CtClass[]` | `addTargetToParamsForNonStaticMethod(javassist.CtClass outer, javassist.CtMethod method)`
`protected void` | `doWrap(MethodExecutionTransformer.MethodTransformation trans, String methodInfoFieldName)`
`static String` | `getJoinPointFieldName(MethodExecutionTransformer.MethodTransformation trans)`
`static String` | `getJoinPointGeneratorFieldName(MethodExecutionTransformer.MethodTransformation trans)`
`static String` | `getNonStaticJavasistParamString(long parameterLength)`
`protected void` | `transformMethod(MethodExecutionTransformer.MethodTransformation trans, boolean wrap)`

Methods inherited from class org.jboss.aop.instrument.MethodExecutionTransformer
`addMethodInfoField, addMethodInfoField, classifyMethods, copyAnnotations, getAopReturnStr, getAopReturnStr, getClassifier, getMethodInfoFieldName, getMethodNameHash, getReturnStr, getReturnStr, getWrapper, instrument, methodInfoFromWeakReference, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratedAdvisorMethodExecutionTransformer

    public GeneratedAdvisorMethodExecutionTransformer(GeneratedAdvisorInstrumentor instrumentor)

Method Detail

### addInfoAsWeakReference

    protected boolean addInfoAsWeakReference()

  Overrides:
    `addInfoAsWeakReference` in class `MethodExecutionTransformer`

### getJoinPointFieldName

    public static String getJoinPointFieldName(MethodExecutionTransformer.MethodTransformation trans)

### getJoinPointGeneratorFieldName

    public static String getJoinPointGeneratorFieldName(MethodExecutionTransformer.MethodTransformation trans)

### addMixinWrappersAndInfo

    public javassist.CtMethod addMixinWrappersAndInfo(GeneratedAdvisorInstrumentor instrumentor,
                                                      javassist.CtClass clazz,
                                                      javassist.CtClass mixinClass,
                                                      String initializer,
                                                      javassist.CtClass genadvisor,
                                                      javassist.CtMethod mixinMethod)
                                               throws javassist.CannotCompileException,
                                                      javassist.NotFoundException

  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

### transformMethod

    protected void transformMethod(MethodExecutionTransformer.MethodTransformation trans,
                                   boolean wrap)
                            throws javassist.CannotCompileException,
                                   javassist.NotFoundException

  Specified by:
    `transformMethod` in class `MethodExecutionTransformer`
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

### doWrap

    protected void doWrap(MethodExecutionTransformer.MethodTransformation trans,
                          String methodInfoFieldName)
                   throws javassist.NotFoundException,
                          Exception

  Specified by:
    `doWrap` in class `MethodExecutionTransformer`
  Throws:
    `javassist.NotFoundException`
    `Exception`

### addTargetToParamsForNonStaticMethod

    protected static javassist.CtClass[] addTargetToParamsForNonStaticMethod(javassist.CtClass outer,
                                                                             javassist.CtMethod method)
                                                                      throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### getNonStaticJavasistParamString

    public static String getNonStaticJavasistParamString(long parameterLength)
                                                  throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.